<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab2"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">NUEVA TAREA</h1>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="pad ion-margin-top">
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Cliente/Empresa</ion-label>
      </ion-col>
      <ion-col size="12">
        <ionic-selectable placeholder="seleccione una empresa" #portComponent1  item-content  itemValueField="idEmpresas" itemTextField="Nombre_Empresa"
        [items]="empresa" [canSearch]="true" (onChange)="obtenersucursal($event)" searchPlaceholder="Buscar" searchFailText="No hay resultados">
        <ng-template ionicSelectableHeaderTemplate>
          <ion-toolbar>
            <ion-row>
              <ion-col size="10">               
                <ion-title style="text-align: end;">
                  seleccione una empresa
                </ion-title>
              </ion-col>
              <ion-col size="2">
                <ion-buttons (click)="portComponent1.close()">
                  <ion-icon name="close-circle-outline" style="font-size: 25px;"></ion-icon>
                </ion-buttons>
              </ion-col>
            </ion-row>
          </ion-toolbar>
        </ng-template>
        </ionic-selectable>
        <!-- <ion-select okText="Aceptar" cancelText="Cancelar" #emp placeholder="seleccione una opción" (ionChange)="obtenersucursal()">
          <ion-select-option *ngFor="let emp of empresa" value="{{emp.idEmpresas}}">{{emp.Nombre_Empresa}}</ion-select-option>
        </ion-select> -->
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Sucursal</ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-select okText="Aceptar" cancelText="Cancelar" #sucursal placeholder="seleccione una opción">
          <ion-select-option *ngIf="this.sucursales==null" value="0">
            sin sucursales
          </ion-select-option>
          <ion-select-option *ngIf="this.sucursales!==null && this.emp !== undefined" value="0">
            Matriz
          </ion-select-option>
<ng-container>

</ng-container>
        </ion-select>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Para</ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-select okText="Aceptar" cancelText="Cancelar" #user placeholder="seleccione una opción">
          <ion-select-option *ngFor="let us of usuarios" value="{{us.idUsers}}">{{us.Nombre}}</ion-select-option>
        </ion-select>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Tarea</ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-textarea #tarea rows="6" placeholder="Escribe aquí la tarea"></ion-textarea>
      </ion-col>
      <ion-col size="12" class="ion-text-left mt-20" style="position:relative;">
          <ion-label color="primary">Adjuntar archivo</ion-label>
          <label for="archivot" id="labelt"></label>
          <input style="height: 0px;width: 0px;" type="file" id="archivot"
                (change)="onFileChanged($event)" class="hidden" multiple="true"
                accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
      </ion-col>
      <ion-col size="12">
        <div *ngFor="let archivonom of nombredearchivos; let i = index" class="row">
            <div class="col-md-12">
                <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
                || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
                || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
                src="../../../assets/img/images-outline.svg" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
                || tipodearchivo[i] === 'docx'"
                src="../../../assets/img/word.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
                || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
                || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
                src="../../../assets/img/excel.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
                || tipodearchivo[i] === 'pptx'"
                src="../../../assets/img/power.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'pdf'"
                src="../../../assets/img/pdf.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
                || tipodearchivo[i] === 'rar'"
                src="../../../assets/img/zip.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
                || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
                src="../../../assets/img/musica.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
                || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
                || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
                src="../../../assets/img/video.png" width="10x" height="10px"
                class="mr-2 imgS">
                <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
                && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
                && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
                tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
                && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
                && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
                && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
                tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
                && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
                tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
                && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
                && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
                tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
                && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
                && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
                src="../../../assets/img/archivo.png" width="10x" height="10px"
                class="mr-2 imgS">

                    <label>{{archivonom}}</label><img (click)="quitararchivo(i)"
                    src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px">
            </div>
        </div>
      </ion-col>
      <ion-col size="12" class="ion-text-center mt-20">
        <ion-item *ngIf="this.emp && this.sucursal.value && this.users"
          [routerLink]="['/tabs/tab2/nueva-citatar',this.users,this.emp,this.sucursal.value]">
          <input type="checkbox" id="vehicle2" name="vehicle2" value="Bike">
          <ion-label for="vehicle2">Agendar nueva cita</ion-label>
       </ion-item>
      </ion-col>
    </ion-row>

    <ion-row class="ion-margin-bottom mt-50">
      <ion-col size="12" class="ion-text-center">
        <ion-button color="primary" (click)="guardartarea()">
          <ion-icon name="paper-plane-sharp" ></ion-icon>
        Enviar
        </ion-button>
      </ion-col>
    </ion-row>
</ion-content>
